Package org.eclipse.m2m.atl.adt.ui.preferences

## Class ModifyDialogTabPage.NumberPreference

- java.lang.Object
- - java.util.Observable
  - - org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.Preference
    - - org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.NumberPreference

Enclosing class:
  ModifyDialogTabPage

    protected final class ModifyDialogTabPage.NumberPreference
    extends ModifyDialogTabPage.Preference

Wrapper around a textfied which requests an integer input of a given range.

### Field Summary

Fields
`protected int` `fOldSelected`
`protected int` `fSelected`

### Constructor Summary

Constructors
`NumberPreference​(org.eclipse.swt.widgets.Composite composite, int numColumns, java.util.Map<java.lang.String,​java.lang.String> preferences, java.lang.String key, int minValue, int maxValue, java.lang.String text)` Create a new NumberPreference.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `fieldModified()`
`protected void` `focusGained()`
`protected void` `focusLost()`
`org.eclipse.swt.widgets.Control` `getControl()` Returns the main control of a preference, which is mainly used to manage the focus.
`protected void` `updateWidget()` To be implemented in subclasses.

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.Preference

`getEnabled, getKey, getPreferences, setEnabled, setKey`

### Methods inherited from class java.util.Observable

`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fSelected

    protected int fSelected

#### fOldSelected

    protected int fOldSelected

### Constructor Detail

#### NumberPreference

    public NumberPreference​(org.eclipse.swt.widgets.Composite composite,
                            int numColumns,
                            java.util.Map<java.lang.String,​java.lang.String> preferences,
                            java.lang.String key,
                            int minValue,
                            int maxValue,
                            java.lang.String text)

Create a new NumberPreference.

Parameters:
  `composite` - The composite on which the SWT widgets are added.
  `numColumns` - The number of columns in the composite's GridLayout.
  `preferences` - The map to store the values.
  `key` - The key to store the values.
  `minValue` - The minimum value which is valid input.
  `maxValue` - The maximum value which is valid input.
  `text` - The label text for this Preference.

### Method Detail

#### focusGained

    protected void focusGained()

#### focusLost

    protected void focusLost()

#### fieldModified

    protected void fieldModified()

#### updateWidget

    protected void updateWidget()

Description copied from class: `ModifyDialogTabPage.Preference`
To be implemented in subclasses. Update the SWT widgets when the state of this object has changed (enabled, key, ...).

Specified by:
  `updateWidget` in class `ModifyDialogTabPage.Preference`

#### getControl

    public org.eclipse.swt.widgets.Control getControl()

Description copied from class: `ModifyDialogTabPage.Preference`
Returns the main control of a preference, which is mainly used to manage the focus. This may be `null` if the preference doesn't have a control which is able to have the focus.

Specified by:
  `getControl` in class `ModifyDialogTabPage.Preference`
Returns:
  The main control